package org.apcocoa.eclipse.editor2;

import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.eclipse.dltk.ui.text.ScriptTextTools;
import org.eclipse.dltk.ui.text.completion.ContentAssistPreference;

public class ApCoCoAContentAssistPreference extends ContentAssistPreference {

	private static ApCoCoAContentAssistPreference instance;
	
	public static ContentAssistPreference getDefault() {
		if (instance == null) {
			instance = new ApCoCoAContentAssistPreference();
		}
		return instance;
	}
	
	@Override
	protected ScriptTextTools getTextTools() {
		return ApCoCoAPlugin.getDefault().getTextTools();
	}

}
