package org.apcocoa.eclipse.internal.core.parser;

import org.apcocoa.eclipse.ApCoCoANature;
import org.eclipse.dltk.compiler.IElementRequestor.TypeInfo;
import org.eclipse.dltk.compiler.ISourceElementRequestor;
import org.eclipse.dltk.core.AbstractSourceElementParser;

public class SimpleApCoCoASourceElementParser extends
		AbstractSourceElementParser {

	@Override
	protected String getNatureId() {
		return ApCoCoANature.APCOCOA_NATURE;
	}

	public void parseSourceModule(
			org.eclipse.dltk.compiler.env.IModuleSource module) {
		ISourceElementRequestor requestor = getRequestor();

		requestor.enterModule();
		TypeInfo info = new TypeInfo();
		info.name = "Default CoCoA File"; //$NON-NLS-1$
		requestor.enterType(info);
		requestor.exitType(0);
		requestor.exitModule(0);
	}

}