package org.apcocoa.eclipse;

import org.eclipse.dltk.core.AbstractLanguageToolkit;
import org.eclipse.dltk.core.IDLTKLanguageToolkit;

public class ApCoCoALanguageToolkit  extends AbstractLanguageToolkit {

	
	private static ApCoCoALanguageToolkit toolkit;
	 
	public static IDLTKLanguageToolkit getDefault() {
		if (toolkit == null) {
			toolkit = new ApCoCoALanguageToolkit();
		}
		return toolkit;
	}

	
	// @Override
	public String getLanguageContentType() {
		return "org.apcocoa.eclipse.content-type";
	}

	// @Override
	public String getNatureId() {
		return ApCoCoANature.APCOCOA_NATURE;
	}

	// @Override
	public String getLanguageName() {
		return "ApCoCoA";
	}

	
}
