package org.apcocoa.eclipse.core;

import org.apcocoa.eclipse.ApCoCoAPlugin;
import org.apcocoa.eclipse.IExternalContribution;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.variables.IDynamicVariable;
import org.eclipse.core.variables.IDynamicVariableResolver;

public class DynamicVariableResolver implements IDynamicVariableResolver {

	public String resolveValue(IDynamicVariable variable, String argument)
			throws CoreException {
		String cocoaTextPathString = ApCoCoAPlugin.getDefault().getExternalContribution().getPathFor(IExternalContribution.PROPERTY_COCOA_TEXT_PATH);
		return cocoaTextPathString;
	}
}
